Open topic with navigation

TIBCO iProcess® Engine 11.10.0

# Creating the SQL Server Database and Logins

## Status

If you are... | This task is...
Installing a new iProcess Engine Version 11.10.0 | Optional
Upgrading from an iProcess Engine Version 11.0 or later | N/A

## Database

SQL Server

## Description

The iProcess Engine stores its data in a SQL Server database, and requires two SQL Server logins to access this database:

| • | iPE DB Owner—owns the iProcess Engine database

| • | iPE DB User—used for read access to the iProcess Engine database

The installer can automatically create the iProcess Engine database and these logins for you, but only if you know the `system administrator` SQL login name (default `sa`) and password for the SQL Server instance that you want to use. See SQL/ODBC Details for details.

If you do not know the `system administrator` SQL login name and password, the installer cannot do this. In this case, you must use the following procedure to manually create the SQL Server database and logins before you run the installer.

Note | Depending on the authentication method used by the SQL Server instance (Windows or SQL Server), you must use a Windows account or SQL Server login that has been assigned the `System Administrators` server role. If you do not have access to such an account or login, contact your SQL Server database administrator for assistance.

## Procedure

To manually create the iProcess Engine database and SQL Server logins, complete the following steps:

| 1. | Start SQL Server Management Studio.

Note | You must install SQL Tools to get the SQL Server Management Studio utility.

| 2. | If necessary, connect to or register the server where you intend to create the iProcess Engine database.

| 3. | Right-click the server you want to use, then select Properties from the pop-up menu.

| 4. | Set the value of the Maximum number of concurrent connections field on the Connections page for this server.

Set this value to either `0` (unlimited), or a value that is equal to or greater than the following calculation:

`9` + `wiscount` + `bgcount` + ((`users/maxusers_per_process`) x `maxpoolsize`)

where:

| — | `9` is the number of connections to the database required by iProcess Engine server processes. This number is fixed.

| — | `wiscount` is the number of Work Item Server (`WIS`) processes configured for this iProcess Engine. The default is `2`.

| — | `bgcount` is the number of background (`BG`) processes configured for this iProcess Engine. The default is `4`.

| — | `users` is the maximum number of TIBCO iProcess Workspace (Windows) users expected to concurrently use the iProcess Engine database.

| — | `max_users_per_process` is the maximum number of iProcess Engine users per RPC pool server process (`RPC_POOL`). The default value is `20`. You can reduce this value by changing the `MAX_USERS_PER_PROCESS` parameter in the `STAFF` section of the `SWDIR``\etc\staffcfg` file.

Note | Changing the `MAX_USERS_PER_PROCESS` parameter may increase the number of RPC processes, and therefore impact performance.

| — | `maxpoolsize` is the maximum number of database connections a single RPC pool server process will create, if required. This value is defined by the `MAXPOOLSIZE` parameter in the `BPOOL` section of the `SWDIR``\etc\staffcfg` file. The default value is `10`. In the calculation above maxpoolsize is used to represent the maximum possible number of connections. Under normal runtime conditions, the number of connections per server is unlikely to exceed `2` or `3`.

| 5. | Click the OK button.

| 6. | Create a new database on this SQL server to hold iProcess Engine data. To do this: Right-click Databases , then select New Database. Enter a name for the iProcess Engine database on the General tab. Enter a suitable `Initial size (MB)` value on the General page. TIBCO recommends a minimum database size of `20Mb`. Certain iProcess operations (for example, purging cases and restores) may generate large numbers of database transactions. You should configure the SQL Server and iProcess Engine database so that it has sufficient resources to handle the expected transaction load. For more information about how to estimate the size and layout requirements of your iProcess Engine database, consult the following sources: TIBCO iProcess Engine (SQL Server) Administrator’s Guide. this documentation defines the structure of each table, and provides guidance on the number of records a table should contain depending on the iProcess data. Your TIBCO representative, who can work with you to prepare a detailed sizing and configuration estimate. Make sure that the Autogrowth check box for the data and log files on the General tab has been checked. Click the OK button.
Warning | If these options are not selected and the SQL Server runs out of resource when trying to process an iProcess Engine operation, iProcess Engine will fail and a `SWDIR``\logs\sw_error` file will be created.

| 7. | Right-click the iProcess Engine database, then select Properties from the pop-up menu.

| 8. | On the Options tab, Select the database Recovery Model (`Simple`, `Full`, or `Bulk‑Logged`) that is most appropriate for your database backup/recovery environment.

| 9. | Click the OK button.

| 10. | Create the IPE DB Owner and IPE DB User SQL Server login IDs. To do this (for each login):

| a. | Expand Security, right-click Logins, then click New Login.

| b. | Enter a Name for the login. You can use any name you want to, but the suggested ones are `swpro` for the IPE DB Owner and `swuser` for the IPE DB User.

| c. | Click the User Mapping tab.

| d. | In the list of databases, select the iProcess Engine database that you just created, then check the Map check box to allow this log in to access the database.

| e. | In the Database roles section, check the db_owner check box for the IPE DB Owner login, or the db_datareader check box for the IPE DB User login.

| f. | Click the OK button.

| 11. | Right-click the iProcess Engine database, then select Properties from the pop-up menu.

| 12. | Click the Permissions tab. Make sure that the IPE DB Owner and IPE DB User logins are listed. Check the Grant check box for each permission listed against each login.

| 13. | Click the OK button.

| 14. | Create a default schema for the IPE DB Owner and IPE DB User. To do this (for each login):

| a. | Expand the iProcess Engine database, expand Security, right-click Schema then select New Schema.

| b. | Enter the login ID as the `Schema owner` and as the `Schema name`.

| c. | Click the OK button.

| 15. | Ensure that the SQL Server collation setting specifies the correct character set for TIBCO iProcess Engine.

Note | If both TIBCO iProcess Engine and SQL Server have been installed on a native operating system and you plan to run TIBCO iProcess Engine on the native operating system, you will not have to change the collation settings.

For more information about collation settings, see SQL Server Database Engine Guide.

Did you find this helpful?

Yes No
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO iProcess® Engine

Copyright © 1994-2025. Cloud Software Group, Inc. All Rights Reserved.